Bug 60770 - cron.daily script should set LANG=C
cron.daily script should set LANG=C
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: inn (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-06 04:39 EST by Enrico Scholz
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-06 04:39:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2002-03-06 04:39:20 EST
Description of Problem:

When running /etc/cron.daily/inn-cron-expire with an other locale than C, mails
containing 8bit headers can be produced. This wiil be a violation of RFC 822.

E.g. in the de_DE locale this month will be expressed as 'Mdr' (bugzilla will
eat the middle char [228 dec in latin1] probably...) and subjects like:

| Subject: <host> Daily Usenet report for Die Mdr 5 04:02:01 CET 2002
                                               ^
                                          8bit german umlaut

will be produced. When using strict MTA settings such mails will be bounced.

I am seeing two solutions:
- fix innreport to produce correct encoded headers
- add 'LANG=C' to /etc/cron.daily/inn-cron-expire; perhaps it can be reduced to
'LC_TIME=C' also, but I am not sure if there are other effects


Version-Release number of selected component (if applicable):

inn-2.3.2-9
Comment 1 Florian La Roche 2002-04-08 09:23:15 EDT
should be fixed in 2.3.2-11 from rawhide.

Thanks,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.